type: google.api.Service
config_version: 3
name: cloudasset.googleapis.com
title: Cloud Asset API

apis:
- name: google.cloud.asset.v1p5beta1.AssetService

documentation:
  summary: The cloud asset API manages the history and inventory of cloud resources.
  overview: |-
    # Cloud Asset API

    The Cloud Asset API keeps a history of Google Cloud Platform (GCP) asset
    metadata, and allows GCP users to download a dump of all asset metadata
    for the resource types listed below within an organization or a project at
    a given timestamp.

    Read more documents here:
    https://cloud.google.com/asset-inventory/docs

backend:
  rules:
  - selector: google.cloud.asset.v1p5beta1.AssetService.ListAssets
    deadline: 600.0

authentication:
  rules:
  - selector: google.cloud.asset.v1p5beta1.AssetService.ListAssets
    oauth:
      canonical_scopes: |-
        https://www.googleapis.com/auth/cloud-platform
